name: Check if node01 has been correctly deleted
testcases:
- name: get_login_token
  steps:
  - type: get_login_token

- name: check_node01_deleted
  steps:
  - type: http
    method: GET
    url: '{{.pfserver_webadmin_url}}/api/v1/node/{{.node01_ens7_mac_address_url_encoded}}'
    ignore_verify_ssl: true
    headers:
      "Authorization": "{{.get_login_token.result.token}}"
      "Content-Type": "application/json"
    assertions:
      - result.statuscode ShouldEqual 404
      - result.bodyjson.message ShouldEqual "Unable to get resource with this identifier"
